org.apache.ode.dao.jpa

## Class ActivityRecoveryDAOImpl

- java.lang.Object
- - org.apache.ode.dao.jpa.ActivityRecoveryDAOImpl

- All Implemented Interfaces:
    ActivityRecoveryDAO

      @Entity
      public class ActivityRecoveryDAOImpl
      extends java.lang.Object
      implements ActivityRecoveryDAO

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COUNT_ACTIVITY_RECOVERIES_BY_INSTANCES`
    `static java.lang.String` | `DELETE_ACTIVITY_RECOVERIES_BY_IDS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActivityRecoveryDAOImpl()`
    `ActivityRecoveryDAOImpl(java.lang.String channel, long activityId, java.lang.String reason, java.util.Date dateTime, org.w3c.dom.Element data, java.lang.String[] actions, int retries)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getActions()`
    `java.lang.String[]` | `getActionsList()`
    `long` | `getActivityId()`
    `java.lang.String` | `getChannel()`
    `java.util.Date` | `getDateTime()`
    `org.w3c.dom.Element` | `getDetails()`
    `ProcessInstanceDAOImpl` | `getInstance()`
    `java.lang.String` | `getReason()`
    `int` | `getRetries()`
    `void` | `setInstance(ProcessInstanceDAOImpl instance)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DELETE_ACTIVITY_RECOVERIES_BY_IDS

          public static final java.lang.String DELETE_ACTIVITY_RECOVERIES_BY_IDS

      See Also:
        Constant Field Values

    - #### COUNT_ACTIVITY_RECOVERIES_BY_INSTANCES

          public static final java.lang.String COUNT_ACTIVITY_RECOVERIES_BY_INSTANCES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ActivityRecoveryDAOImpl

          public ActivityRecoveryDAOImpl()

    - #### ActivityRecoveryDAOImpl

          public ActivityRecoveryDAOImpl(java.lang.String channel,
                                         long activityId,
                                         java.lang.String reason,
                                         java.util.Date dateTime,
                                         org.w3c.dom.Element data,
                                         java.lang.String[] actions,
                                         int retries)

  - ### Method Detail

    - #### getActions

          public java.lang.String getActions()

      Specified by:
        `getActions` in interface `ActivityRecoveryDAO`

    - #### getActionsList

          public java.lang.String[] getActionsList()

      Specified by:
        `getActionsList` in interface `ActivityRecoveryDAO`

    - #### getActivityId

          public long getActivityId()

      Specified by:
        `getActivityId` in interface `ActivityRecoveryDAO`

    - #### getChannel

          public java.lang.String getChannel()

      Specified by:
        `getChannel` in interface `ActivityRecoveryDAO`

    - #### getDateTime

          public java.util.Date getDateTime()

      Specified by:
        `getDateTime` in interface `ActivityRecoveryDAO`

    - #### getDetails

          public org.w3c.dom.Element getDetails()

      Specified by:
        `getDetails` in interface `ActivityRecoveryDAO`

    - #### getReason

          public java.lang.String getReason()

      Specified by:
        `getReason` in interface `ActivityRecoveryDAO`

    - #### getRetries

          public int getRetries()

      Specified by:
        `getRetries` in interface `ActivityRecoveryDAO`

    - #### getInstance

          public ProcessInstanceDAOImpl getInstance()

    - #### setInstance

          public void setInstance(ProcessInstanceDAOImpl instance)